trntogl
Posts: 1
Smile Score: +4
About Me
I am a Free member


Visit Stats
Member Since: 13 Jun 2012
Profile Views: 233

trntogl's Posts
Average Rating from trntogl:
(1)

sort: smiles | time
burypromote
+4

trntogl reviewed on 13 Jun 2012
I don't think it's too cool for Apple or Aperture when we've spent our money to purchase the MacBook and Aperture, in this day and age of technology that they can't put out updates without needing a software update that we can't put on our system because of restrictions. I just bought my MacBook and Aperture a year ago and now won't be able to get Aperture update. How do I go from Snow Leopard to Lion, I guess I have to buy something else? Sorry, I'm green when it comes to computer hardware and software compatibilities and requirements. I just know when I went to update because it told me I had an Aperture update, that I can't do it.
[Version 3.3]



There are currently no troubleshooting comments by this member.

Displaying 1-1 of 1
Please login or create a new
MacUpdate Member account
to use this feature


- -